Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Types | Public Member Functions | Private Attributes | List of all members
OpenVolumeMesh::CellIter Class Reference
Inheritance diagram for OpenVolumeMesh::CellIter:

## Public Types
typedef BaseIterator< CellHandle > | BaseIter
Public Types inherited from OpenVolumeMesh::BaseIterator< CellHandle >
typedef std::bidirectional_iterator_tag | iterator_category
typedef int | difference_type
typedef const CellHandle | value_type
typedef const CellHandle * | pointer
typedef const CellHandle & | reference

## Public Member Functions
| CellIter (const TopologyKernel *_mesh, const CellHandle &_ch=CellHandle(0))
CellIter | operator++ (int)
CellIter | operator-- (int)
CellIter | operator+ (int _n)
CellIter | operator- (int _n)
CellIter & | operator+= (int _n)
CellIter & | operator-= (int _n)
CellIter & | operator++ ()
CellIter & | operator-- ()
Public Member Functions inherited from OpenVolumeMesh::BaseIterator< CellHandle >
| BaseIterator (const TopologyKernel *_mesh, const CellHandle &_ch)
| BaseIterator (const TopologyKernel *_mesh)
bool | operator== (const BaseIterator &_c) const
bool | operator!= (const BaseIterator &_c) const
pointer | operator-> () const
reference | operator* () const
bool | operator< (const BaseIterator &_c) const
BaseIterator & | operator= (const BaseIterator &_c)
| operator bool () const
void | valid (bool _valid)
bool | valid () const
void | cur_handle (const CellHandle &_h)
reference | cur_handle () const
const TopologyKernel * | mesh () const

## Private Attributes
int | cur_index_

## Detailed Description

Definition at line 956 of file Iterators.hh.

The documentation for this class was generated from the following files:

- libs_required/OpenVolumeMesh/src/OpenVolumeMesh/Core/Iterators.hh
- libs_required/OpenVolumeMesh/src/OpenVolumeMesh/Core/Iterators.cc